package com.oo.eye.activity;

import android.content.Intent;
import android.os.Bundle;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.app.baselibrary.base.common.BaseActivity;
import com.oo.eye.R;
import com.oo.eye.adapter.MorePeopleAdapter;
import com.oo.eye.bean.ChartsBean;

import java.util.ArrayList;
import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

/**
 * Date : 2018/8/28.
 * Author:  cxh
 */

public class MorePeopleTestActivity extends BaseActivity {
    @BindView(R.id.selete_tv)
    TextView mSeleteTv;
    @BindView(R.id.selete_iv)
    ImageView mSeleteIv;
    @BindView(R.id.selete_lay)
    LinearLayout mSeleteLay;
    @BindView(R.id.selete1_tv)
    TextView mSelete1Tv;
    @BindView(R.id.selete1_iv)
    ImageView mSelete1Iv;
    @BindView(R.id.selete1_lay)
    LinearLayout mSelete1Lay;
    @BindView(R.id.do_search)
    TextView mDoSearch;
    @BindView(R.id.ddd)
    LinearLayout mDdd;
    @BindView(R.id.begin_test)
    TextView mBeginTest;
    @BindView(R.id.recycle_view)
    RecyclerView mRecycleView;

    @Override
    protected int getLayoutId() {
        return R.layout.activity_morepeople;
    }

    @Override
    protected void init() {
        mRecycleView.setLayoutManager(new LinearLayoutManager(this));
        List<ChartsBean> list=new ArrayList<>();
        for (int i=0;i<10;i++){
            ChartsBean chartsBean=new ChartsBean();
            list.add(chartsBean);
        }
        mRecycleView.setAdapter(new MorePeopleAdapter(list,this));
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        // TODO: add setContentView(...) invocation
        ButterKnife.bind(this);
    }

    @OnClick({R.id.do_search, R.id.begin_test})
    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.do_search:
                break;
            case R.id.begin_test:
                Intent intent=new Intent(this,TestListActivity.class);
                startActivity(intent);
                break;
        }
    }
}
